conflicto con MySQL (server TrinityCore 4.3.4)

Hola a todos, mi problema ahora es un conflicto con MySQL, como lo puedo resolver?

sing configuration file authserver.conf.


OpenSSL 1.0.1c 10 May 2012 (Library: OpenSSL 1.0.1c 10 May 2012)


Opening DatabasePool ‘auth’. Asynchronous connections: 1, synchronous connections: 1.


MySQL client library: 5.5.9


MySQL server ver: 5.5.27


[WARNING] MySQL client/server version mismatch; may conflict with behaviour of prepared statements.


Connected to MySQL database at 127.0.0.1


MySQL client library: 5.5.9


MySQL server ver: 5.5.27

por cierto enhorabuena y felicitaciones al staff de trinity cada dia esta mejor el core de la 4.3.4.

Sigan asi chicos sois geniales!!!

Muchas gracias y un abrazo.

No te preocupes, es algo muy habitual… simplemente te dice que no es la misma versión el MySQL server que tienes instalado y las librerías con las que has compilado el wow.

Es un problema importante cuando la diferencia es un cambio de versión, (no de subversión y menos aun de compilación o sub-subversión como es en este caso), ya que hay comandos y funciones que cambian el modo de usarse y puede que el wow intente usar alguna función demasiado nueva de MySQL y no exista en el MySQL que tienes… pero ese tipo de modificación de cambios tan “grave” no suele darse nada más que cada mucho tiempo y suele implicar un cambio muy notorio en la numeración de versión para que no de lugar a este tipo de errores.

muchas gracias, un abrazo. /emoticons/default_biggrin.png